Welcome! Log In Create A New Profile

Advanced

lighthttpd or uhttpd for a debian stretch supported Kirkwood platform

Posted by habibie 
lighthttpd or uhttpd for a debian stretch supported Kirkwood platform
May 04, 2018 09:59AM
I have my Seagate GoFLEX Home device currently running on a debian ARM OS. I sure would like to install LightHTTPd package for my GoFLEX Home device. However, apt-get install lighthttpd reports no such a package (see below). Has anyone had a luck in this? Ordinary, I would prefer to install uhttpd (don't know if this micro-httpd package is the same); however, debian arm does not seem to have uhttpd package for ARMelf platform.
[root@debian:/root 6%] # apt-get install lighthttpd
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package lighthttpd
5.831u+110.507s=24:59.64e(7.7%) TDSavg=0k+0k+0k max=26892k 72529000+0io 380084pf+0sw
[root@debian:/root 7%] #

My /etc/apt/sources.list file is listed below
deb http://ftp.us.debian.org/debian stretch main
deb-src http://ftp.us.debian.org/debian stretch main

deb http://security.debian.org/ stretch/updates main contrib non-free
deb-src  http://security.debian.org/ stretch/updates main contrib non-free

deb     http://http.debian.net/debian stretch-updates main contrib
deb-src http://http.debian.net/debian stretch-updates main contrib
Re: lighthttpd or uhttpd for a debian stretch supported Kirkwood platform
May 04, 2018 04:05PM
habibie,

Try

apt-get install lighttpd

-bodhi
===========================
Forum Wiki
bodhi's corner
Re: lighthttpd or uhttpd for a debian stretch supported Kirkwood platform
May 04, 2018 08:47PM
bodhi Wrote:
-------------------------------------------------------
> habibie,
>
> Try
>
>
> apt-get install lighttpd
>
>
Bodhi, that works. Thank you.

BTW, I also encountered the same problem when trying to install micro-httpd package using apt-get install micro-httpd. However, when I manually downloaded the micro-httpd package and used apt-get install micro-httpd_20051212-15.1_armel.deb file, apt-get was able to give me a selection either to install the downloaded micro-httpd_20051212-15.1_armel.deb file or to fetch a micro-httpd package off of debian server. I chose the later and now my GoFLEX Home is up with micro-httpd. Honestly, I don't know why.
Re: lighthttpd or uhttpd for a debian stretch supported Kirkwood platform
May 04, 2018 09:31PM
habibie,

It's probably a typo in the name when you try to install. Sometime it is best to do a search first, and then copy and paste the name. For example,

apt-cache search httpd | grep light
libanyevent-httpd-perl - simple lightweight event based web (application) server
lighttpd - fast webserver with minimal memory footprint
lighttpd-doc - documentation for lighttpd
lighttpd-mod-authn-gssapi - GGSAPI authentication for lighttpd
lighttpd-mod-authn-ldap - LDAP authentication for lighttpd
lighttpd-mod-authn-mysql - MySQL authentication for lighttpd
lighttpd-mod-cml - cache meta language module for lighttpd
lighttpd-mod-geoip - GeoIP restrictions for lighttpd
lighttpd-mod-magnet - control the request handling module for lighttpd
lighttpd-mod-mysql-vhost - MySQL-based virtual host configuration for lighttpd
lighttpd-mod-trigger-b4-dl - anti-deep-linking module for lighttpd
lighttpd-mod-webdav - WebDAV module for lighttpd
nginx-light - nginx web/proxy server (basic version)
libpion-5.0 - lightweight HTTP interface library - runtime files
libpion-dev - lightweight HTTP interface library - development files
libpion-doc - lightweight HTTP interface library - documentation
libpion-plugins - lightweight HTTP interface library - plugins
webfs - lightweight HTTP server for static content


apt-cache search httpd | grep micro
libmicrohttpd-dev - library embedding HTTP server functionality (development)
libmicrohttpd12 - library embedding HTTP server functionality
micro-httpd - really small HTTP server

-bodhi
===========================
Forum Wiki
bodhi's corner
Re: lighthttpd or uhttpd for a debian stretch supported Kirkwood platform
May 04, 2018 10:12PM
Bodhi, thank you for your explanation. For micro-httpd package, I tried apt-get install micro-httpd and ended up with the same issue.
Author:

Your Email:


Subject:


Spam prevention:
Please, enter the code that you see below in the input field. This is for blocking bots that try to post this form automatically. If the code is hard to read, then just try to guess it right. If you enter the wrong code, a new image is created and you get another chance to enter it right.
Message: